Bug 46565 - squid "aclIpParseIpData: WARNING: Netmask masks away part of the specified IP in ..."
squid "aclIpParseIpData: WARNING: Netmask masks away part of the specified IP...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Squid
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Jürn Brodersen
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-09 11:07 CET by Jürn Brodersen
Modified: 2018-05-09 14:21 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.034
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jürn Brodersen univentionstaff 2018-03-09 11:07:16 CET
Squid throws a warning because an ip is used instead of a network address.
The tests work though.


squid config reload: "aclIpParseIpData: WARNING: Netmask masks away part of the specified IP in ..."
Comment 1 Jürn Brodersen univentionstaff 2018-04-20 16:33:25 CEST
[4.3-0 deeba29c5d] Bug #46565: Use network address in network acl
Comment 2 Erik Damrose univentionstaff 2018-04-26 13:07:29 CEST
OK: Use network instead of ip address to remove warning
OK: yaml
Comment 3 Quality Assurance univentionstaff 2018-05-04 16:43:48 CEST
--- mirror/ftp/4.3/unmaintained/4.3-0/source/univention-squid_11.0.0-12A~4.3.0.201802061545.dsc
+++ apt/ucs_4.3-0-errata4.3-0/source/univention-squid_11.0.0-13A~4.3.0.201804201627.dsc
@@ -1,6 +1,12 @@
-11.0.0-12A~4.3.0.201802061545 [Tue, 06 Feb 2018 15:45:35 +0100] Univention builddaemon <buildd@univention.de>:
+11.0.0-13A~4.3.0.201804201627 [Fri, 20 Apr 2018 16:27:17 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. No patches were applied to the original source package
+
+11.0.0-13 [Wed, 18 Apr 2018 12:36:45 +0200] Jürn Brodersen <brodersen@univention.de>:
+
+  * Bug #34154: utf8 and latin1 basic auth wrapper
+  * Bug #46567: remove obsolete 'hierarchy_stoplist' directive
+  * Bug #46565: Use network address in network acl
 
 11.0.0-12 [Tue, 06 Feb 2018 15:43:57 +0100] Felix Botner <botner@univention.de>:
Comment 4 Arvid Requate univentionstaff 2018-05-09 14:21:11 CEST
<http://errata.software-univention.de/ucs/4.3/32.html>